HPROP(8)

NAME
hprop - propagate the KDC database

SYNOPSIS
hprop [-4DEhnv] [-d file] [--database=file] [--decrypt] [--encrypt] [--help] [-k] [--keytab=file] [-m file] [--master-key=file] [--stdout] [--v4-db] [--verbose] [--version] host ...

DESCRIPTION
hprop propagates the database from a master KDC to a slave. It connects to all hosts specified on the command by opening a TCP connection to port 754 (service hprop) and sends the database in encrypted form.

Options supported:

-d file

--database=file
    The database to be propagated.

-D

--decrypt
    The encryption keys in the database can either be in clear, or encrypted with a master key. This option thansmits the database with unencrypted keys.

-E

--encrypt
    This option thansmits the database with encrypted keys.

-k

--keytab=file
    The keytab to use for fetching the key to be used for authenticating to the propagation daemon(s). The key kadmin/hprop is used from this keytab.

-m file

--master-key=file
    Where to find the master key to encrypt or decrypt keys with.

-n

--stdout
    Dump the database on stdout, in a format that can be fed to hpropd.

-4

--v4-db
    Use a version 4 database. This option is only available if the code is compiled with Kerberos 4 support.

SEE ALSO
hpropd(8)